function [proclist] = ConvertCell(origlist)
% CONVERTCELL Converts cell into numbers
%   The data is stored in a cell array of characters. This function cycles
%   through the list converting it into a vector of numbers

% Pre-allocate into NaN list
proclist = NaN(length(origlist),1);

% Go into for loop and convert each number
for i = 1:length(origlist)
    % Take out entry of interest
    temp = cell2mat(origlist(i));
        
    % If it is not NA then convert to number
    if ~strcmp(temp,{'NA'})
        proclist(i) = str2double(temp);
    end
end


