function [out, grad] = f_ATEobj(beta, Vt, Vp)
%f_ATEobj Is the objective function for the optimization on ATE inference.
% It is just quadratic, but we code it as a separate file so that it can
% return the gradient and the hessian to the optimizer. The arguments should
% be so the objective is ||Vt - Vp x||^2

% The value of the objective function for this problem
out = norm(Vt-Vp*beta,2)^2;

% If requested, return the gradient
if nargout > 1
    grad = -2*(Vp'*Vt) + 2*(Vp'*Vp)*beta;
end
