function [out, grad] = f_BootATEobj(beta, Vt, Vp, IValR)
%f_BootATEobj Is the objective function for the optimization on ATE inference.
% It is just quadratic, but we code it as a separate file so that it can
% return the gradient and the hessian to the optimizer. The arguments should
% be so the objective is ||Vt - Vp x||^2. We recenter at IVal so that 0 is
% the point at which we reject/fail to reject. In turn, this is used to 
% speed up optimization fmicon whenever we are below zero.

% The value of the objective function for this problem
out = norm(Vt-Vp*beta,2)^2 - IValR^2;

% If requested, return the gradient
if nargout > 1
    grad = -2*(Vp'*Vt) + 2*(Vp'*Vp)*beta;
end
