function [ATE, dATE] = f_GetATE(beta)
% f_GetATE: Very simple function returning the ATE for each bin implied by
%   a beta and the corresponding gradient. Coded as a fnc because rep use

%Back out the basics
TotD = length(beta)/8;

% Back out the components: First probabilities
Pa = beta(1:TotD);
Pn = beta(TotD+1:2*TotD);
Pc = 1-Pa-Pn;

% The ates for each subgroup
ATEa = beta(2*TotD+1:3*TotD)-beta(6*TotD+1:7*TotD);
ATEn = beta(7*TotD+1:8*TotD)-beta(3*TotD+1:4*TotD);
ATEc = beta(5*TotD+1:6*TotD);

% Aggreate out
ATE = Pa.*ATEa + Pn.*ATEn + Pc.*ATEc;

%If requested also give out the gradient
if nargout > 1
    dATE = zeros(TotD,length(beta));
    
    for i = 1:TotD
        dATE(i,i) = (ATEa(i)-ATEc(i));
        dATE(i,TotD+i) = (ATEn(i) - ATEc(i));
        dATE(i,2*TotD+i) = Pa(i);
        dATE(i,3*TotD+i) = -Pn(i);
        dATE(i,5*TotD+i) = Pc(i);
        dATE(i,6*TotD+i) = -Pa(i);
        dATE(i,7*TotD+i) = Pn(i);
    end
end

